Teams
Retrieve team
GET
/
alignments
/
{id}
/
Retrieve team
curl --request GET \
--url https://api.velocity.shop/alignments/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.velocity.shop/alignments/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.velocity.shop/alignments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_production": true,
"rep_count": 123,
"rep_levels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"edit_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"edit_session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"production_alignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staging_alignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"promoted_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Whether this is a live team, rather than an edit session's draft copy.
Ordered from the top of the hierarchy down.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The ID of the team's open edit session, or null when the team has no unpublished changes.
An open editing session for a team. Edits are staged on a draft copy of the team and do not affect commission until the session is published.
Show child attributes
Show child attributes
⌘I
Retrieve team

